{pkgs, ...}: {
  programs.nixvim = {
    enable = true;
    colorschemes.base16 = {
      enable = true;
      colorscheme = "solarized-dark";
      setUpBar = false;
    };
    clipboard = {
    	providers.wl-copy.enable = true;
			register = "unnamedplus";
    };
    options = {
      number = true;
      relativenumber = true;
      tabstop = 2;
      shiftwidth = 2;
      expandtab = false;
			scrolloff = 5;
			autoindent = true;
			copyindent = true;
    };
		plugins = {
			lightline = {
				enable = true;
				# colorscheme = "16color";
			};
			gitgutter = {
				enable = true;
				# signs = {
				# 	added = "█|";
				# 	modified = "█⫶";
				# 	modifiedRemoved = "█▟";
				# 	removed = "█▁";
				# 	removedFirstLine = "█▔";
				# };
			};
		};
		extraPlugins = with pkgs.vimPlugins; [
			vim-airline-themes
		];
  };
}
